/* List of known built-in modules
   Copyright (C) 2002, 2004 Miloslav Trmac <mitr@volny.cz>

   You can redistribute and/or modify this program under the terms of the
   GNU General Public License version 2 as published by the Free Software
   Foundation.

   This program is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
   Public License for more details.

   You should have received a copy of the GNU General Public License along
   with this program; if not, write to the Free Software Foundation, Inc.,
   59 Temple Place Suite 330, Boston, MA 02111-1307, USA. */

/* To use this list, define a MODULE (X) macro, where X is name of
   struct cereal_module. */

#ifndef MODULE
#error "Define a MODULE(X) macro, as described in <module_list.h>"
#endif

MODULE(bit_report_module);
MODULE(bit_value_module);
MODULE(byte_latch_module);
MODULE(byte_value_module);
MODULE(i8051_module);
MODULE(memory_module);
MODULE(uart_module);
