/* Item/Insert dialog -*-c++-*-
   Copyright (C) 2002 Miloslav Trmac <mitr@volny.cz>

   You can redistribute and/or modify this program under the terms of the
   GNU General Public License version 2 as published by the Free Software
   Foundation.

   This program is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
   Public License for more details.

   You should have received a copy of the GNU General Public License along
   with this program; if not, write to the Free Software Foundation, Inc.,
   59 Temple Place Suite 330, Boston, MA 02111-1307, USA. */
#ifndef KHWINSERTDIALOG_H__
#define KHWINSERTDIALOG_H__

#include "khwinsertdialogbase.h"

class KHwInsertDialog: public KHwInsertDialogBase
{
  Q_OBJECT
public:
  KHwInsertDialog (QWidget *parent);
  ~KHwInsertDialog ();
  /** Get selected module type */
  QString getModuleType () const;
  /** Get selected module name */
  QString getModuleName () const;
  
protected slots:
  /** Module name or module type selection has changed */
  void nameOrTypeChanged ();
  /** Check if moduleName is OK, and accept () if so */
  void tryAccept ();
};

#endif
