/* MI list view, which allows deleting using Delete key -*-c++-*
   Copyright (C) 2002 Miloslav Trmac <mitr@volny.cz>

   You can redistribute and/or modify this program under the terms of the
   GNU General Public License version 2 as published by the Free Software
   Foundation.

   This program is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
   Public License for more details.

   You should have received a copy of the GNU General Public License along
   with this program; if not, write to the Free Software Foundation, Inc.,
   59 Temple Place Suite 330, Boston, MA 02111-1307, USA. */
#ifndef KHWMILIST_H__
#define KHWMILIST_H__

#include <klistview.h>

class QWidget;
class QKeyEvent;

class KHwMiList: public KListView
{
  Q_OBJECT
public:
  KHwMiList (QWidget *parent = 0, const char *name = 0);
  ~KHwMiList ();
  /** Reload contents from me_list */
  void reload ();
  
signals:
  void deletePressed ();

protected:
  /** Handle Delete key */
  void keyPressEvent (QKeyEvent *event);
};

#endif
