/* xstrdup ()
   Copyright (C) 2002 Miloslav Trmac <mitr@volny.cz>

   You can redistribute and/or modify this program under the terms of the
   GNU General Public License version 2 as published by the Free Software
   Foundation.

   This program is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
   Public License for more details.

   You should have received a copy of the GNU General Public License along
   with this program; if not, write to the Free Software Foundation, Inc.,
   59 Temple Place Suite 330, Boston, MA 02111-1307, USA. */
#include <config.h>

#include <string.h>

#include <lib.h>

/* malloc () and make a copy of STR
   returns: pointer to string copy */
char *
xstrdup (const char *str)
{
  size_t len;
  char *copy;

  len = strlen (str) + 1;
  copy = xmalloc (len);
  memcpy (copy, str, len);
  return copy;
}
