# cereal.spec.  Generated from cereal.spec.in by configure.
Summary: cereal emulation framework, including an 8051 emulator
Name: cereal
Version: 0.93.5
Release: 1
License: GPL
Group: Development/Tools
URL: http://cereal.sourceforge.net
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The cereal emulator is an emulation framework featuring an Intel 8051 emulator
and powerful abilities to emulate connected peripherals, be it the common ones
(e.g. external memory) or any custom peripherals your application uses.

%prep
%setup -q

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%doc doc/user/user.html doc/prog/prog.html
%{_bindir}/cereal_*
%{_libdir}/libcereal_eds_dk.la
%{_libdir}/libcereal_eds_dk.so
%{_libdir}/libcereal_eds_en.la
%{_libdir}/libcereal_eds_en.so
%{_libdir}/libkc8051.la
%{_libdir}/libkc8051.so
%{_libdir}/libkceds_led.la
%{_libdir}/libkceds_led.so
%{_datadir}/apps/cereal
%{_datadir}/apps/cereal_khwconf
%{_datadir}/cereal

%changelog
* Thu Jan 22 2004 Miloslav Trmac <mitr@volny.cz>
- Do not remove static libraries, they are not built now.

* Tue Jul 15 2003 Miloslav Trmac <mitr@volny.cz> 
- Initial build.
