/* Select Module dialog -*-c++-*-
   Copyright (C) 2002 Miloslav Trmac <mitr@volny.cz>

   You can redistribute and/or modify this program under the terms of the
   GNU General Public License version 2 as published by the Free Software
   Foundation.

   This program is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
   Public License for more details.

   You should have received a copy of the GNU General Public License along
   with this program; if not, write to the Free Software Foundation, Inc.,
   59 Temple Place Suite 330, Boston, MA 02111-1307, USA. */
#ifndef KCSELECTMODULEDIALOG_H__
#define KCSELECTMODULEDIALOG_H__

#include "kcselectmoduledialogbase.h"

struct cereal_module;
struct me_entry;

class KCSelectModuleDialog: public KCSelectModuleDialogBase
{
  Q_OBJECT
public:
  /** Create an "select module" dialog for module type */
  KCSelectModuleDialog (QWidget *parent, const struct cereal_module *type);
  ~KCSelectModuleDialog ();
  /** @returns module selected by user */
  struct me_entry *selectedModule () const;

protected slots:
  /** Return key was pressed */
  void returnPressed ();
  /** moduleList selection has changed */
  void selectionChanged ();
};

#endif
